<?php
require('fpdf.php');

class PDF extends FPDF
{
// Cabecera de página
function Header()
{
    $this->Image('./logo/Factura_Original.jpg',1,0,200);
    $this->Ln(1);	
	  // $this->Image('logo/logo.jpg',12,10,33,23);
    $this->Ln(1);	
}

// Pie de página
function Footer()
{
    $this->SetFont('Arial','',6);
	$this->SetY(-21);
	   $this->Image('./logo/pie_nota.jpg',5,259,200);
	$this->SetY(-12);
    //$this->Cell(0,10,'Pagina '.$this->PageNo().'',0,0,'C');	
}
}

// Creación del objeto de la clase heredada
$pdf = new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','',12);

?>

<?php

define('FPDF_FONTPATH','font/');
require_once ('fpdf.php') ; 


//include ("Numbers/Words.php");


$pdf->Ln();    
$pdf->Header('../logo/Factura_Original.jpg',0,0,0,0);
$total_impo="0";

require("../conexion.php");
$codnota=$_GET["codnota"];
if (!isset($_POST["chkimp"])) { $chkimp=""; } else  { $chkimp=$_POST["chkimp"]; }

$consulta = "SELECT * FROM facturas_notas_debito WHERE codnota='$codnota'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();


        $marcaborrado = $fila["borrado"];
        $hornot = $fila["hornot"];
        $fecha = $fila["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $cdgclave = $fila["cdgclave"];
		$numcomp = $fila["numcomp"];
		$cdgcli = $fila["cdgcli"];
		$dsccli = $fila["dsccli"];
		$totalnota = $fila["totalnota"];
		$codnota = $fila["codnota"];
		$cdgven = $fila["cdgven"];
		$pladia = $fila["pladia"];
	
		
		$consulta = "SELECT * FROM usuarios WHERE codusu=$cdgven";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$dscven = $row["usu"];
		$cdgven= $row["codusu"];



// if ($cdgtipven ==2 ) {
//
//     $faccre = "CREDITO";
//	 $faccon = "";
//	 $facval= "ORIGINAL";
// 
//	 
//	} else {
//	
//	 $faccre = "";
//	 $faccon = "CONTADO";
//	 $facval= "ORIGINAL";
//	
//
//	}
	
  	 if ($cdgcli == 9999 || $cdgcli==8888) {
	 
$consulta = "Select * from facturas_notas_debito, web_0301 where facturas_notas_debito.codnota=$codnota and facturas_notas_debito.cdgcli= $cdgcli";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();


        $fecha = $fila["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));

		$numcomp = $fila["numcomp"];
		$cdgcli = $fila["cdgcli"];
		$dsccli = $fila["dsccli"];
		$cedcli = $fila["CEDCLI"];
		$codnota = $fila["codnota"];
		$chksug = $fila["chksug"];
		$numtel= $fila["NUMTEL"];
		$dircli = $fila["DIRCLI"];


		} else {
		
	 
$consulta ="Select * from facturas_notas_debito, web_0301 where facturas_notas_debito.codnota=$codnota and facturas_notas_debito.cdgcli= web_0301.cdgcli";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();		



        $percon = $fila["PERCON"];
        $dircli = $fila["DIRCLI"];
        $cedcli = $fila["cedcli"];
        $fecha = $fila["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $numtel= $fila["NUMTEL"];
		$numcomp = $fila["numcomp"];
		$dsccli = $fila["dsccli"];
		$chksug = $fila["chksug"];
		

      }  


$consulta2 = "SELECT * FROM web_0000 ";
$resultado2 = $mysqli->query($consulta2);
$datos = $resultado2->fetch_array();


	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
	
    $pdf->SetFont('Arial','B',10);	
	$pdf->SetY(24);	
	$pdf->Ln(10);
	$pdf->Cell(60);
	$pdf->Cell(30,4,"NOTA DE DEBITO N. ".$numcomp,0,0,'L',0);

    $pdf->SetFont('Arial','B',11);	


	$pdf->SetY(6);		
	$pdf->Cell(160);
	$pdf->Cell(12,4,"Fecha:  ".$fecha,0,0,'L',0);
	

	
	
	$pdf->SetY(35);		
	$pdf->Cell(163);
	$pdf->Cell(12,4,"Pagina N° 1",0,0,'L',0);
	
	
	
    $pdf->SetFont('Arial','B',14);	
	$pdf->SetY(19);
	$pdf->Ln(0);
	$pdf->Cell(165);
    $pdf->Cell(20,6,"",0,0,'L',0);
		

	//emcabezado y datos de la empresa

	
	$pdf->SetFont('Arial','B',20);
    $pdf->SetY(20);	
	$pdf->Ln(-15);
	$pdf->Cell(-5);
    $pdf->Cell(1,1,$datos["NOMCOM"],0,0,'L',0);
	
	 
	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(5);	
	$pdf->Ln(5);
	$pdf->Cell(-5);
    $pdf->Cell(10,4,$datos["RAZSOC"],0,0,'L',0);

	
	$pdf->SetFont('Arial','B',9);	
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',9);
	
$cedula=$datos["CEDJUR"];
	$telefono=$datos["NUMTEL"];
	$facebook=$datos["dirfac"];
	$cedula_con= "Cédula: ". $cedula ;
	$telefono= "Teléfono: ".$telefono;
	$facebook= "Facebook: ".$facebook;
	
	$pdf->SetY(1);
	$pdf->Ln(13);
	$pdf->Cell(-5);
	$pdf->Cell(70,4,$cedula_con,0,0,'L',0);

   $diremp = $datos["DIREMP"];

	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(17);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$telefono,0,0,'L',0);

	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(21);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$diremp,0,0,'L',0);
	
	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(25);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$datos["COREMP"],0,0,'L',0);
	
		$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(29);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$datos["dirfac"],0,0,'L',0);



	// datos del cliente

	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);

    $pdf->SetFont('Arial','B',10);		
	$pdf->SetY(29);
	$pdf->Ln(13);
	$pdf->Cell(1);
      $pdf->Cell(100,6,"Cliente:  " .$cdgcli." - ".$dsccli,0,0,'L',0);


	$pdf->SetY(37);
	$pdf->Ln(10);
	$pdf->Cell(1);
    $pdf->Cell(35,8,"Cédula:  ".$cedcli ,0,0,'L',0);  


	$pdf->SetY(37);
	$pdf->Ln(10);
	$pdf->Cell(60);
    $pdf->Cell(35,8,"Teléfono:  ".$numtel,0,0,'L',0);	
	$pdf->SetY(37);
	$pdf->Ln(10);
	$pdf->Cell(115);
    $pdf->Cell(35,8,"Vendedor:  ".$dscven,0,0,'L',0);

	$dircli1 = substr($dircli, 0, 60);
    $dircli2 = substr($dircli ,0,140);
	$dircli2 = substr($dircli2, 60);

	$pdf->SetY(41);
	$pdf->Ln(10);
	$pdf->Cell(1);
	$pdf->Cell(80,10,"Dirección:  ".$dircli1,0,0,'L',0); 
	
	
	$pdf->SetY(45);
	$pdf->Ln(10);
	$pdf->Cell(1);
	$pdf->Cell(80,10,$dircli2,0,0,'L',0);  

	$pdf->SetY(45);
	$pdf->Ln(5);
	$pdf->Cell(162);
	$pdf->Cell(80,10,"Plazo ".$pladia." Días",0,0,'L',0); 	
 
 	$pdf->SetFont('Arial','B',13);
	$pdf->SetY(40);
	$pdf->Ln(3);
	$pdf->Cell(162);
	$pdf->Cell(80,10,"",0,0,'L',0); 
	
	$pdf->SetY(40);
	$pdf->Ln(3);
	$pdf->Cell(163);
	$pdf->Cell(80,10,"",0,0,'L',0); 
	

   $pdf->SetFont('Arial','B',10);
			

    //ahora mostramos las lneas de la factura


	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.1);
    $pdf->SetFont('Arial','B',10);	


	$pdf->SetY(76);			

	  $importe="0";
	  $impuesto="0";
	  $descuento="0";
      $contador=0;
	  $lineas="0";
		$articulos ="Select * from factulinea_notas_debito where codnota='$codnota' order by numlinea";
		if ($resultado_articulos = $mysqli->query($articulos)) 


		 while ($fila = $resultado_articulos->fetch_assoc()) {

        $numlinea = $fila["numlinea"];
        $cdgbar = $fila["codigo"];
        $dscart = $fila["dscart"];


	
	  $pdf->Cell(-3);

	$consulta = "Select * from web_1001 where cdgbar='$cdgbar' ";
	$resultado = $mysqli->query($consulta);
	$row = $resultado->fetch_array();

     $utisug = $row["utisug"];
		
						/////////  calulo del precio sugerido /////////
      if ($cdgbar <> 100) {

	$impuesto_sug= $fila["impuesto"];
	$cantidad_sug= $fila["cantidad"];
	$mondes_sug= $fila["mondes"];
	$importe_sug= $fila["importe"];
	$preivi_sug= ($importe_sug-$mondes_sug+$impuesto_sug)/$cantidad_sug;
	$presug=($preivi_sug)*(($utisug/100)+1);
	$presug=round($presug);
	/////  redondeo ///
	
		
		
		 ///   si el articulo es bonificado /// calula el precio sugerido  //////////////// 	
		
	if ($importe_sug==0 ) { 
	

	$cob_iv_sug=  $row["COB_IV"];
	$cosart_sug=  $row["PRE002"];
	$utilidad_sug= $row["utisug"];
	
		
	$presug=($cosart_sug)*(($utilidad_sug/100)+1);

	  
	    } 
		
		    
	//	if ($uniemp > 1){ 	 /////   si la unidad de empaque es mayor a uno divide el precio sugerido 
  	//	$presug = $presug/$uniemp;
	//	$presug=round($presug);		
//	}  	
		
		
   	$ultimo_valor=substr($presug,-1);	  // sustraigo el utimo digito del precio 
		if ($ultimo_valor == 0) {              // redondeo a la decima mas cercana

		} else if ($ultimo_valor  ==  5){ 

		} else if ($ultimo_valor  >  5){ 
			$presug=round($presug,-1);
		
		}else { 
	   	$presug=round($presug,-1);
		$presug=$presug+5;
		}   		                    
		
		/////////////////////////////////////////////     //////////////////////////////////////////////

	    }else { 
	
	
	$importe2= "";
	$precio2= "";
	$presug="";
	$lineas="";
	
		} 
		  
	    $pdf->SetFont('Arial','B',8);	
	
	 $codigo=$fila["codigo"];	  
	 $pdf->Cell(27,0,$codigo,0,0,'L');
	
		    $pdf->SetFont('Arial','B',10);	
			
	  $cantidad1= number_format($fila["cantidad"],1,".",",");	  
	 
	  $pdf->Cell(8,0,$cantidad1,0,0,'R');


    $pdf->SetFont('Arial','B',8);	
	  
	  	  $acotado = substr($fila["dscart"], 0, 44);
      $acotado = utf8_decode($acotado);
	  $pdf->Cell(2);
	  $pdf->Cell(73,0,$acotado,0,0,'L');
	  


	  
		
		if  ($fila["importe"]<>0)   {     //  si el articulo no es comodin o bonificado ///
		  if ($fila["impuesto"]==0.00)    //  si el articulo no paga impuesto 
	  {  

      $paga_impuesto="N";
	  $pdf->Cell(12);
	  $pdf->Cell(2,0,$paga_impuesto,0,0,'L');

		
		   }  else  {          ///  si el articulo paga impuesto 

      $paga_impuesto="S";
	  $pdf->Cell(12);
	  $pdf->Cell(2,0,$paga_impuesto,0,0,'L');
    
	   }
	    }

  $pdf->SetFont('Arial','B',10);	

	  if ($fila["dcto"]==0)   {
		  
	  $pdf->Cell(15);	
	  $pdf->Cell(5,0,"",0,0,'C');

	   }  else  { 
	   
	  $pdf->Cell(15);
	  $pdf->Cell(5,0,$fila["dcto"]." %",0,0,'C');

	   }

	  $pdf->Cell(23);

    if ($cdgbar <> 100) {

	 $precio2= $fila["importe"]/$fila["cantidad"];	  
     $precio2= number_format($precio2,2,".",",");	  

			}
	if ($precio2==0.00){  $precio2=""; } 
	 $pdf->Cell(1,0,$precio2,0,0,'R');
	 $importe2= number_format( $fila["importe"],2,".",",");	  
	
	if ($importe2==0.00){  $importe2=""; } 
	 $pdf->Cell(25,0,$importe2,0,0,'R');
   


			  if ($chksug == 1) {    //// si tiene marcado el ck de sugerido  lo imprime
	   
	$presug= number_format($presug,2,".",",");
    if ($presug==0.00){  $presug=""; }   
    $pdf->SetFont('Arial','B',10);	
    $pdf->Cell(20);
  //  $pdf->Cell(1,0,$presug,0,0,'R');

  }  else  {            ///////  si no tiene el ck no lo imprime ////

	
    $pdf->SetFont('Arial','B',10);	
    $pdf->Cell(20);
    $pdf->Cell(1,0,"",0,0,'R');

 }

  $pdf->Ln(5);	
	  $importe=$importe +  $fila["importe"];
	  $impuesto=$impuesto +  $fila["impuesto"];
	  $descuento=$descuento +  $fila["mondes"];
	 
	 ///////////////   si tiene mas de  30 lineas  ////////////
	 
	  
	    if ($contador == 30) { 
	  
		 
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
	
    $pdf->SetFont('Arial','B',13);	
	$pdf->SetY(500);	
	$pdf->Ln(5);
	$pdf->Cell(80);
	$pdf->Cell(30,4," ",0,'L',0);
	

	
    $pdf->SetFont('Arial','B',10);	
	$pdf->SetY(24);	
	$pdf->Ln(10);
	$pdf->Cell(60);
	$pdf->Cell(30,4,"NOTA DE DEBITO N. ".$numcomp,0,0,'L',0);

    $pdf->SetFont('Arial','B',11);	

	 if ($cdgtipven ==1 ) {
	$pdf->SetY(6);		
	$pdf->Cell(160);
	$pdf->Cell(12,4,"Fecha:  ".$fecha,0,0,'L',0);
	
		} else {
		
	$pdf->SetY(6);		
	$pdf->Cell(160);
	$pdf->Cell(12,4,"Fecha:  ".$fecha,0,0,'L',0);	
	$pdf->SetY(11);	
	$pdf->Cell(160);
	$pdf->Cell(12,4,"Vence:  ".$fechavencimiento,0,0,'L',0);	

	}
	
	
	$pdf->SetY(35);		
	$pdf->Cell(163);
	$pdf->Cell(12,4,"Pagina N° 2",0,0,'L',0);
	
	
	
    $pdf->SetFont('Arial','B',14);	
	$pdf->SetY(19);
	$pdf->Ln(0);
	$pdf->Cell(165);
    $pdf->Cell(20,6,$facval,0,0,'L',0);
		

	//emcabezado y datos de la empresa

	
	$pdf->SetFont('Arial','B',20);
    $pdf->SetY(20);	
	$pdf->Ln(-15);
	$pdf->Cell(-5);
    $pdf->Cell(1,1,$datos["NOMCOM"],0,0,'L',0);
	
	 
	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(5);	
	$pdf->Ln(5);
	$pdf->Cell(-5);
    $pdf->Cell(10,4,$datos["RAZSOC"],0,0,'L',0);

	
	$pdf->SetFont('Arial','B',9);	
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',9);
	
$cedula=$datos["CEDJUR"];
	$telefono=$datos["NUMTEL"];
	$facebook=$datos["dirfac"];
	$cedula_con= "Cédula: ". $cedula ;
	$telefono= "Teléfono: ".$telefono;
	$facebook= "Facebook: ".$facebook;
	
	$pdf->SetY(1);
	$pdf->Ln(13);
	$pdf->Cell(-5);
	$pdf->Cell(70,4,$cedula_con,0,0,'L',0);

   $diremp =$datos["DIREMP"];

	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(17);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$telefono,0,0,'L',0);

	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(21);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$diremp,0,0,'L',0);
	
	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(25);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$datos["COREMP"],0,0,'L',0);
	
		$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(29);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$datos["dirfac"],0,0,'L',0);


	// datos del cliente

	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);


    $pdf->SetFont('Arial','B',10);		
	$pdf->SetY(29);
	$pdf->Ln(13);
	$pdf->Cell(1);
       $pdf->Cell(100,6,"Cliente:  " .$cdgcli." - ".$dsccli,0,0,'L',0);


	$pdf->SetY(37);
	$pdf->Ln(10);
	$pdf->Cell(1);
    $pdf->Cell(35,8,"Cédula:  ".$cedcli ,0,0,'L',0);  


	$pdf->SetY(37);
	$pdf->Ln(10);
	$pdf->Cell(60);
    $pdf->Cell(35,8,"Teléfono:  ".$numtel,0,0,'L',0);	
	$pdf->SetY(37);
	$pdf->Ln(10);
	$pdf->Cell(115);
    $pdf->Cell(35,8,"Vendedor:  ".$dscven,0,0,'L',0);

	$dircli1 = substr($dircli, 0, 60);
    $dircli2 = substr($dircli ,0,140);
	$dircli2 = substr($dircli2, 60);

	$pdf->SetY(41);
	$pdf->Ln(10);
	$pdf->Cell(1);
	$pdf->Cell(80,10,"Dirección:  ".$dircli1,0,0,'L',0); 
	
	
	$pdf->SetY(45);
	$pdf->Ln(10);
	$pdf->Cell(1);
	$pdf->Cell(80,10,$dircli2,0,0,'L',0);  

	$pdf->SetY(45);
	$pdf->Ln(5);
	$pdf->Cell(162);
	$pdf->Cell(80,10,"Plazo ".$pladia." Días",0,0,'L',0); 	
 
 	$pdf->SetFont('Arial','B',13);
	$pdf->SetY(40);
	$pdf->Ln(3);
	$pdf->Cell(162);
	$pdf->Cell(80,10,$faccon,0,0,'L',0); 
	
	$pdf->SetY(40);
	$pdf->Ln(3);
	$pdf->Cell(163);
	$pdf->Cell(80,10,$faccre,0,0,'L',0); 
	
	

   $pdf->SetFont('Arial','B',10);
			
	 	
     $pdf->Ln(30); 
	  }
	  
	  
	  
	   ///////////////   si tiene mas de  62 lineas  ////////////
	 
	  
	    if ($contador == 60) { 
	  
		 
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
	
    $pdf->SetFont('Arial','B',13);	
	$pdf->SetY(500);	
	$pdf->Ln(5);
	$pdf->Cell(80);
	$pdf->Cell(30,4," ",0,'L',0);
	
    $pdf->SetFont('Arial','B',10);	
	$pdf->SetY(24);	
	$pdf->Ln(10);
	$pdf->Cell(60);
	$pdf->Cell(30,4,"NOTA DE DEBITO N. ".$numcomp,0,0,'L',0);

    $pdf->SetFont('Arial','B',11);	

	 if ($cdgtipven ==1 ) {
	$pdf->SetY(6);		
	$pdf->Cell(160);
	$pdf->Cell(12,4,"Fecha:  ".$fecha,0,0,'L',0);
	
		} else {
		
	$pdf->SetY(6);		
	$pdf->Cell(160);
	$pdf->Cell(12,4,"Fecha:  ".$fecha,0,0,'L',0);	
	$pdf->SetY(11);	
	$pdf->Cell(160);
	$pdf->Cell(12,4,"Vence:  ".$fechavencimiento,0,0,'L',0);	

	}
	
	
	$pdf->SetY(35);		
	$pdf->Cell(163);
	$pdf->Cell(12,4,"Pagina N° 3",0,0,'L',0);
	
	
	
    $pdf->SetFont('Arial','B',14);	
	$pdf->SetY(19);
	$pdf->Ln(0);
	$pdf->Cell(165);
    $pdf->Cell(20,6,$facval,0,0,'L',0);
		

	//emcabezado y datos de la empresa

	
	$pdf->SetFont('Arial','B',20);
    $pdf->SetY(20);	
	$pdf->Ln(-15);
	$pdf->Cell(-5);
    $pdf->Cell(1,1,$datos["NOMCOM"],0,0,'L',0);
	
	 
	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(5);	
	$pdf->Ln(5);
	$pdf->Cell(-5);
    $pdf->Cell(10,4,$datos["RAZSOC"],0,0,'L',0);

	
	$pdf->SetFont('Arial','B',9);	
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',9);
	
$cedula=$datos["CEDJUR"];
	$telefono=$datos["NUMTEL"];
	$facebook=$datos["dirfac"];
	$cedula_con= "Cédula: ". $cedula ;
	$telefono= "Teléfono: ".$telefono;
	$facebook= "Facebook: ".$facebook;
	
	$pdf->SetY(1);
	$pdf->Ln(13);
	$pdf->Cell(-5);
	$pdf->Cell(70,4,$cedula_con,0,0,'L',0);

   $diremp =$datos["DIREMP"];

	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(17);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$telefono,0,0,'L',0);

	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(21);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$diremp,0,0,'L',0);
	
	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(25);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$datos["COREMP"],0,0,'L',0);
	
		$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(29);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$datos["dirfac"],0,0,'L',0);


	// datos del cliente

	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);


    $pdf->SetFont('Arial','B',10);		
	$pdf->SetY(29);
	$pdf->Ln(13);
	$pdf->Cell(1);
     $pdf->Cell(100,6,"Cliente:  " .$cdgcli." - ".$dsccli,0,0,'L',0);


	$pdf->SetY(37);
	$pdf->Ln(10);
	$pdf->Cell(1);
    $pdf->Cell(35,8,"Cédula:  ".$cedcli ,0,0,'L',0);  


	$pdf->SetY(37);
	$pdf->Ln(10);
	$pdf->Cell(60);
    $pdf->Cell(35,8,"Teléfono:  ".$numtel,0,0,'L',0);	
	$pdf->SetY(37);
	$pdf->Ln(10);
	$pdf->Cell(115);
    $pdf->Cell(35,8,"Vendedor:  ".$dscven,0,0,'L',0);

	$dircli1 = substr($dircli, 0, 60);
    $dircli2 = substr($dircli ,0,140);
	$dircli2 = substr($dircli2, 60);

	$pdf->SetY(41);
	$pdf->Ln(10);
	$pdf->Cell(1);
	$pdf->Cell(80,10,"Dirección:  ".$dircli1,0,0,'L',0); 
	
	
	$pdf->SetY(45);
	$pdf->Ln(10);
	$pdf->Cell(1);
	$pdf->Cell(80,10,$dircli2,0,0,'L',0);  

	$pdf->SetY(45);
	$pdf->Ln(5);
	$pdf->Cell(162);
	$pdf->Cell(80,10,"Plazo ".$pladia." Días",0,0,'L',0); 	
 
 	$pdf->SetFont('Arial','B',13);
	$pdf->SetY(40);
	$pdf->Ln(3);
	$pdf->Cell(162);
	$pdf->Cell(80,10,$faccon,0,0,'L',0); 
	
	$pdf->SetY(40);
	$pdf->Ln(3);
	$pdf->Cell(163);
	$pdf->Cell(80,10,$faccre,0,0,'L',0); 
	
	

   $pdf->SetFont('Arial','B',10);
			
	 	
     $pdf->Ln(30); 
	  }
	  ///////////////////////    cierra si es mas de 90lineas////////////////////
	  
	  
	     ///////////////   si tiene mas de  90 lineas  ////////////
	 
	  
	    if ($contador == 90) { 
	  
		 
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
	
    $pdf->SetFont('Arial','B',13);	
	$pdf->SetY(500);	
	$pdf->Ln(5);
	$pdf->Cell(80);
	$pdf->Cell(30,4," ",0,'L',0);
	
    $pdf->SetFont('Arial','B',10);	
	$pdf->SetY(24);	
	$pdf->Ln(10);
	$pdf->Cell(60);
	$pdf->Cell(30,4,"NOTA DE DEBITO N. ".$numcomp,0,0,'L',0);

    $pdf->SetFont('Arial','B',11);	

	 if ($cdgtipven ==1 ) {
	$pdf->SetY(6);		
	$pdf->Cell(160);
	$pdf->Cell(12,4,"Fecha:  ".$fecha,0,0,'L',0);
	
		} else {
		
	$pdf->SetY(6);		
	$pdf->Cell(160);
	$pdf->Cell(12,4,"Fecha:  ".$fecha,0,0,'L',0);	
	$pdf->SetY(11);	
	$pdf->Cell(160);
	$pdf->Cell(12,4,"Vence:  ".$fechavencimiento,0,0,'L',0);	

	}
	
	
	$pdf->SetY(35);		
	$pdf->Cell(163);
	$pdf->Cell(12,4,"Pagina N° 4",0,0,'L',0);
	
	
	
    $pdf->SetFont('Arial','B',14);	
	$pdf->SetY(19);
	$pdf->Ln(0);
	$pdf->Cell(165);
    $pdf->Cell(20,6,$facval,0,0,'L',0);
		

	//emcabezado y datos de la empresa

	
	$pdf->SetFont('Arial','B',20);
    $pdf->SetY(20);	
	$pdf->Ln(-15);
	$pdf->Cell(-5);
    $pdf->Cell(1,1,$datos["NOMCOM"],0,0,'L',0);
	
	 
	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(5);	
	$pdf->Ln(5);
	$pdf->Cell(-5);
    $pdf->Cell(10,4,$datos["RAZSOC"],0,0,'L',0);

	
	$pdf->SetFont('Arial','B',9);	
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',9);
	
$cedula=$datos["CEDJUR"];
	$telefono=$datos["NUMTEL"];
	$facebook=$datos["dirfac"];
	$cedula_con= "Cédula: ". $cedula ;
	$telefono= "Teléfono: ".$telefono;
	$facebook= "Facebook: ".$facebook;
	
	$pdf->SetY(1);
	$pdf->Ln(13);
	$pdf->Cell(-5);
	$pdf->Cell(70,4,$cedula_con,0,0,'L',0);

   $diremp =$datos["DIREMP"];

	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(17);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$telefono,0,0,'L',0);

	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(21);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$diremp,0,0,'L',0);
	
	$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(25);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$datos["COREMP"],0,0,'L',0);
	
		$pdf->SetFont('Arial','B',9);
	$pdf->SetY(1);
	$pdf->Ln(29);
	$pdf->Cell(-5);
	$pdf->Cell(20,4,$datos["dirfac"],0,0,'L',0);


	// datos del cliente

	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);


    $pdf->SetFont('Arial','B',10);		
	$pdf->SetY(29);
	$pdf->Ln(13);
	$pdf->Cell(1);
     $pdf->Cell(100,6,"Cliente:  " .$cdgcli." - ".$dsccli,0,0,'L',0);


	$pdf->SetY(37);
	$pdf->Ln(10);
	$pdf->Cell(1);
    $pdf->Cell(35,8,"Cédula:  ".$cedcli ,0,0,'L',0);  


	$pdf->SetY(37);
	$pdf->Ln(10);
	$pdf->Cell(60);
    $pdf->Cell(35,8,"Teléfono:  ".$numtel,0,0,'L',0);	
	$pdf->SetY(37);
	$pdf->Ln(10);
	$pdf->Cell(115);
    $pdf->Cell(35,8,"Vendedor:  ".$dscven,0,0,'L',0);

	$dircli1 = substr($dircli, 0, 60);
    $dircli2 = substr($dircli ,0,140);
	$dircli2 = substr($dircli2, 60);

	$pdf->SetY(41);
	$pdf->Ln(10);
	$pdf->Cell(1);
	$pdf->Cell(80,10,"Dirección:  ".$dircli1,0,0,'L',0); 
	
	
	$pdf->SetY(45);
	$pdf->Ln(10);
	$pdf->Cell(1);
	$pdf->Cell(80,10,$dircli2,0,0,'L',0);  

	$pdf->SetY(45);
	$pdf->Ln(5);
	$pdf->Cell(162);
	$pdf->Cell(80,10,"Plazo ".$pladia." Días",0,0,'L',0); 	
 
 	$pdf->SetFont('Arial','B',13);
	$pdf->SetY(40);
	$pdf->Ln(3);
	$pdf->Cell(162);
	$pdf->Cell(80,10,$faccon,0,0,'L',0); 
	
	$pdf->SetY(40);
	$pdf->Ln(3);
	$pdf->Cell(163);
	$pdf->Cell(80,10,$faccre,0,0,'L',0); 
	
	

   $pdf->SetFont('Arial','B',10);
			
	 	
     $pdf->Ln(30); 
	  }
	  ///////////////////////    cierra si es mas de 124 lineas////////////////////
	  
	  
	  
	  
	  $contador=$contador + 1;
	  $lineas=$lineas + 1;	
	


	};
	
		if ($chkimp == 1 )  {
	
	$pdf->SetFont('Arial','B',10);
    $pdf->SetY(235);	
	$pdf->Ln(0);
	$pdf->Cell(1);
    $pdf->Cell(1,1,"Observación: ".$obsfac,0,0,'L',0);
	
	} else  {
	
		
	$pdf->SetFont('Arial','B',10);
    $pdf->SetY(235);	
	$pdf->Ln(0);
	$pdf->Cell(1);
    $pdf->Cell(1,1,$cdgclave,0,0,'L',0);


	}
	
	$pdf->SetFont('Arial','B',12	);	
    $pdf->SetY(226);
	$pdf->Ln(0);
	$pdf->Cell(78);





	  //vamos acumulando el importe

    $pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',10);	

	// Parametro global Cantidad de filas en el detalle
//   $FilasDetalleFactura;
//	while ($contador<$FilasDetalleFactura)
//
//	{
//
//	 $pdf->Cell(1);
//     $pdf->Cell(25,4,"",0,0,'C');
//     $pdf->Ln(5);	
//	 $contador=$contador +1;
//
//}
	

	
	//Calculamos los valores del final de la factura
	//////// calcula subtotal 

	$importe4=number_format($importe,2,".",",");	      //  DECIMAL
	$ivai=$fila["iva"];

	
	//////// Calcula impuesto 
   
	$impo=$impuesto;
	$total_impo=$total_impo+$impo;
	

 //  REDONDEO 
	$impo=number_format($total_impo,2,".",",");	            //  DECIMAL

    //////// calcula total
    $total=$importe+$total_impo-$descuento; 
	$total2=round($total);
  //  REDONDEO 
	$total2=  number_format($total2,2,".",",");	     //  DECIMAL

	$pdf->SetY(239);	
	$pdf->Cell(157);
    $pdf->Cell(32,5,$importe4,0,0,'R',0);
	
	if ($descuento > 0) { 
	
	$pdf->Ln(6);
	$pdf->SetY(243);
	$pdf->Cell(131);
	$pdf->Cell(32,5,"Descuento: ",0,0,'R',0);
	
	$pdf->Ln(6);
	$pdf->SetY(243);
	$pdf->Cell(157);
	$pdf->Cell(32,5, number_format($descuento,2,".",","),0,0,'R',0);
	
	}
	
	$pdf->Ln(6);
	$pdf->SetY(248);
	$pdf->Cell(157);
	$pdf->Cell(32,5,$impo,0,0,'R',0);	
	
	$pdf->Ln(7);	
	$pdf->SetFont('Arial','B',11);
	$pdf->SetY(253);
	$pdf->Cell(157);
	$pdf->Cell(32,5,$total2,0,0,'R',0);

	$pdf->Ln(8);


	$pdf->SetY(148);
	$pdf->Cell(15);
	
	//Modificamos esta parte para que también muestra la parte fraccionaria y M.N.

	$decimales = explode(".",$total);	
		

//I: envía el fichero al navegador de forma que se usa la extensión (plug in) si está disponible. El nombre dado en nombre se usa si el usuario escoge la opción "Guardar como..." en el enlace que genera el PDF. 
//D: envía el fichero al navegador y fuerza la descarga del fichero con el nombre especificado por nombre. 
//F: guarda el fichero en un fichero local de nombre nombre. 
//S: devuelve el documento como una cadena. nombre se ignora.
	  $name="../FE/notaDebito/crt/NC_pdf/NC".$numcomp.".pdf";
	 //$ruta=	"www.softcomcr.com/htdocs/FE/crt/facturas_pdf/"
     $pdf->Output($name,'F');
    //$pdf->Output("Factura.pdf",'I');


?>
<?php

   echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";   
?>